org.eclipse.wst.jsdt.ui

## Class JavaScriptElementLabelProvider

- java.lang.Object
- - LabelProvider
  - - org.eclipse.wst.jsdt.ui.JavaScriptElementLabelProvider

    public class JavaScriptElementLabelProvider
    extends LabelProvider

Standard label provider for JavaScript elements. Use this class when you want to present the JavaScript elements in a viewer.

The implementation also handles non-JavaScript elements by forwarding the requests to the `IWorkbenchAdapter` of the element.

This class may be instantiated; it is not intended to be subclassed.

* Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Field Summary

Fields
`static int` `SHOW_BASICS` Constant (value `0`) indicating that the label should show the basic images only.
`static int` `SHOW_CONTAINER` Deprecated. Use SHOW_QUALIFIED or SHOW_ROOT instead
`static int` `SHOW_CONTAINER_QUALIFICATION` Deprecated. Use SHOW_QUALIFIED instead
`static int` `SHOW_DEFAULT` Constant indicating the default label rendering.
`static int` `SHOW_OVERLAY_ICONS` Flag (bit mask) indicating that the label should include overlay icons for element type and modifiers.
`static int` `SHOW_PARAMETERS` Flag (bit mask) indicating that method label include parameter types.
`static int` `SHOW_POST_QUALIFIED` Flag (bit mask) indicating that compilation units, class files, types, declarations and members should be rendered qualified.The qualification is appended.
`static int` `SHOW_POSTIFIX_QUALIFICATION` Deprecated. SHOW_POST_QUALIFIED instead
`static int` `SHOW_QUALIFIED` Flag (bit mask) indicating that compilation units, class files, types, declarations and members should be rendered qualified.
`static int` `SHOW_RETURN_TYPE` Flag (bit mask) indicating that methods labels include the method return type (appended).
`static int` `SHOW_ROOT` Flag (bit mask) indicating that the label should include the name of the package fragment root (appended).
`static int` `SHOW_SMALL_ICONS` Flag (bit mask) indicating that the label should show the icons with no space reserved for overlays.
`static int` `SHOW_TYPE` Flag (bit mask) indicating that a field label should include the declared type.
`static int` `SHOW_VARIABLE` Flag (bit mask) indicating that the package fragment roots from class path variables should be rendered with the variable in the name

### Constructor Summary

Constructors
Constructor and Description
`JavaScriptElementLabelProvider()` Creates a new label provider with `SHOW_DEFAULT` flag.
`JavaScriptElementLabelProvider(int flags)` Creates a new label provider.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`Image` `getImage(java.lang.Object element)`
`java.lang.String` `getText(java.lang.Object element)`
`void` `turnOff(int flags)` Turns off the rendering options specified in the given flags.
`void` `turnOn(int flags)` Turns on the rendering options specified in the given flags.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SHOW_RETURN_TYPE

    public static final int SHOW_RETURN_TYPE

Flag (bit mask) indicating that methods labels include the method return type (appended).

See Also:
  Constant Field Values

#### SHOW_PARAMETERS

    public static final int SHOW_PARAMETERS

Flag (bit mask) indicating that method label include parameter types.

See Also:
  Constant Field Values

#### SHOW_CONTAINER

    public static final int SHOW_CONTAINER

Deprecated. Use SHOW_QUALIFIED or SHOW_ROOT instead
Flag (bit mask) indicating that the label of a member should include the container. For example, include the name of the type enclosing a field.

See Also:
  Constant Field Values

#### SHOW_CONTAINER_QUALIFICATION

    public static final int SHOW_CONTAINER_QUALIFICATION

Deprecated. Use SHOW_QUALIFIED instead
Flag (bit mask) indicating that the label of a type should be fully qualified. For example, include the fully qualified name of the type enclosing a type.

See Also:
  Constant Field Values

#### SHOW_OVERLAY_ICONS

    public static final int SHOW_OVERLAY_ICONS

Flag (bit mask) indicating that the label should include overlay icons for element type and modifiers.

See Also:
  Constant Field Values

#### SHOW_TYPE

    public static final int SHOW_TYPE

Flag (bit mask) indicating that a field label should include the declared type.

See Also:
  Constant Field Values

#### SHOW_ROOT

    public static final int SHOW_ROOT

Flag (bit mask) indicating that the label should include the name of the package fragment root (appended).

See Also:
  Constant Field Values

#### SHOW_POSTIFIX_QUALIFICATION

    public static final int SHOW_POSTIFIX_QUALIFICATION

Deprecated. SHOW_POST_QUALIFIED instead
Flag (bit mask) indicating that the label qualification of a type should be shown after the name.

See Also:
  Constant Field Values

#### SHOW_SMALL_ICONS

    public static final int SHOW_SMALL_ICONS

Flag (bit mask) indicating that the label should show the icons with no space reserved for overlays.

See Also:
  Constant Field Values

#### SHOW_VARIABLE

    public static final int SHOW_VARIABLE

Flag (bit mask) indicating that the package fragment roots from class path variables should be rendered with the variable in the name

See Also:
  Constant Field Values

#### SHOW_QUALIFIED

    public static final int SHOW_QUALIFIED

Flag (bit mask) indicating that compilation units, class files, types, declarations and members should be rendered qualified. Examples: `java.lang.String`, `java.util.Vector.size()`

See Also:
  Constant Field Values

#### SHOW_POST_QUALIFIED

    public static final int SHOW_POST_QUALIFIED

Flag (bit mask) indicating that compilation units, class files, types, declarations and members should be rendered qualified.The qualification is appended. Examples: `String - java.lang`, `size() - java.util.Vector`

See Also:
  Constant Field Values

#### SHOW_BASICS

    public static final int SHOW_BASICS

Constant (value `0`) indicating that the label should show the basic images only.

See Also:
  Constant Field Values

#### SHOW_DEFAULT

    public static final int SHOW_DEFAULT

Constant indicating the default label rendering. Currently the default is equivalent to `SHOW_PARAMETERS | SHOW_OVERLAY_ICONS`.

See Also:
  Constant Field Values

### Constructor Detail

#### JavaScriptElementLabelProvider

    public JavaScriptElementLabelProvider()

Creates a new label provider with `SHOW_DEFAULT` flag.

See Also:
  `SHOW_DEFAULT`

#### JavaScriptElementLabelProvider

    public JavaScriptElementLabelProvider(int flags)

Creates a new label provider.

Parameters:
  `flags` - the initial options; a bitwise OR of `SHOW_*` constants

### Method Detail

#### turnOn

    public void turnOn(int flags)

Turns on the rendering options specified in the given flags.

Parameters:
  `flags` - the options; a bitwise OR of `SHOW_*` constants

#### turnOff

    public void turnOff(int flags)

Turns off the rendering options specified in the given flags.

Parameters:
  `flags` - the initial options; a bitwise OR of `SHOW_*` constants

#### getImage

    public Image getImage(java.lang.Object element)

#### getText

    public java.lang.String getText(java.lang.Object element)

#### dispose

    public void dispose()